## python-fire 0.2.0

=== debian/changelog ===
python-fire (0.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Mo Zhou ]
  * New upstream version 0.2.0
  * Add missing B-D python3-termcolor
  * Apply wrap-and-sort.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 27 Jul 2019 12:02:47 +0000

python-fire (0.1.3-1) unstable; urgency=low

  * Initial release. (Closes: #923027)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 23 Feb 2019 09:08:27 +0000

## python-fire 0.6.0

=== .github/scripts/requirements.txt ===
setuptools <65.7.0 ; python_version == '2.7'
setuptools <=69.1.1 ; python_version >= '3.8'
pip <23.0 ; python_version == '2.7'
pip ; python_version >= '3.5'
pylint <2.15.10
pytest <=7.2.1
pytest-pylint <=1.1.2
pytest-runner <6.0.0
termcolor <2.2.0
hypothesis <6.62.0
python-Levenshtein <0.20.9 ; python_version == '2.7'
levenshtein <=0.25.0 ; python_version >= '3.5'
mock <5.0.0

## python-fire 0.2.1

=== debian/changelog ===
python-fire (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 05:46:07 +0000

=== debian/control ===
Source: python-fire
Section: python
Homepage: https://github.com/google/python-fire
Priority: optional
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/python-team/modules/python-fire.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fire
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-mock <!nocheck>,
               python3-setuptools,
               python3-six <!nocheck>,
               python3-termcolor <!nocheck>

Package: python3-fire
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: automatically generate CLIs from absolutely any Python object
 Python Fire is a library for automatically generating command line interfaces
 (CLIs) from absolutely any Python object.
 .
  * Python Fire is a simple way to create a CLI in Python.
  * Python Fire is a helpful tool for developing and debugging Python code.
  * Python Fire helps with exploring existing code or turning other people's
    code into a CLI.
  * Python Fire makes transitioning between Bash and Python easier.
  * Python Fire makes using a Python REPL easier by setting up the REPL with
    the modules and variables you'll need already imported and created.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Spybuild --with python3

override_dh_auto_clean:
	dh_auto_clean
	-$(RM) -rf fire.egg-info

override_dh_installexamples:
	dh_installexamples -X__init__.py -X_test

## python-fire 0.3.0

=== debian/changelog ===
python-fire (0.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Mo Zhou ]
  * New upstream version 0.3.0
  * Update my mail address in control and copyright.
  * Bump Standards-Version to 4.5.0 (no change).
  * Let dh_missing fail if we missed any file.

 -- Mo Zhou <lumin@debian.org>  Wed, 25 Mar 2020 14:05:40 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Homepage: https://github.com/google/python-fire
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-fire.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fire
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
+Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,

## python-fire 0.4.0

=== debian/changelog ===
python-fire (0.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Mo Zhou ]
  * New upstream version 0.4.0

 -- Mo Zhou <lumin@debian.org>  Wed, 17 Feb 2021 14:47:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Homepage: https://github.com/google/python-fire
 Priority: optional
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-fire.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fire
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-fire.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fire
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_installexamples:
 	dh_installexamples -X__init__.py -X_test
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-fire-$1.tar.gz%" \
https://github.com/google/python-fire/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-fire 0.5.0

=== debian/changelog ===
python-fire (0.5.0-3) unstable; urgency=medium

  * Team upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Fri, 01 Sep 2023 15:03:22 +0200

python-fire (0.5.0-2) experimental; urgency=medium

  * Adopt orphaned package as Debian Python team. (Closes: #1013206)
  * Bump Standards-version to 4.6.2.
  * Update d/copyright.
  * Update d/watch.

 -- Danial Behzadi <dani.behzi@ubuntu.com>  Tue, 14 Mar 2023 13:34:09 +0330

python-fire (0.5.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.5.0
  * Add patch to fix ftbfs on python3.11. (Closes: #1026619)
  * Add Rules-Requires-Root.
  * Update d/copyright

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 29 Dec 2022 21:47:16 +0800

python-fire (0.4.0-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * QA Upload.
    Orphan package - see bug 1013206.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:53:00 +0100

python-fire (0.4.0-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 20:03:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: python
 Homepage: https://github.com/google/python-fire
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fire.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fire
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Mo Zhou <lumin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Danial Behzadi <dani.behzi@ubuntu.com>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-mock <!nocheck>,

## python-fire 0.6.0

=== debian/changelog ===
python-fire (0.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.6.0
  * use new dh-sequence-python3
  * remove old patch

 -- Alexandre Detiste <tchet@debian.org>  Tue, 26 Mar 2024 23:25:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Uploaders: Danial Behzadi <dani.behzi@ubuntu.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-mock <!nocheck>,
                python3-setuptools,

## python-fire 0.7.0

=== .github/scripts/requirements.txt ===
setuptools <=75.1.0
pip
pylint <3.2.8
pytest <=8.3.3
pytest-pylint <=1.1.2
pytest-runner <7.0.0
termcolor <2.5.0
hypothesis <6.113.0
levenshtein <=0.26.0

=== debian/changelog ===
python-fire (0.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.7.0 (Closes: #1082211)
  * Remove build dependency on python3-six & python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 05 Oct 2024 11:49:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-mock <!nocheck>,
                python3-setuptools,
-               python3-six <!nocheck>,
                python3-termcolor <!nocheck>
 
 Package: python3-fire

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Spybuild

override_dh_auto_clean:
	dh_auto_clean
	-$(RM) -rf fire.egg-info

override_dh_installexamples:
	dh_installexamples -X__init__.py -X_test

## python-fire 0.7.1

=== debian/changelog ===
python-fire (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * d/control: Bump Standards-version to 4.7.2.
  * d/rule: Change build system to pyproject.

 -- Danial Behzadi <dani.behzi@ubuntu.com>  Tue, 19 Aug 2025 16:16:18 +0330

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: python
 Homepage: https://github.com/google/python-fire
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fire.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fire
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Danial Behzadi <dani.behzi@ubuntu.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               python3-setuptools,
-               python3-termcolor <!nocheck>
+Testsuite: autopkgtest-pkg-pybuild
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3,
+ python3-setuptools,
+ python3-termcolor <!nocheck>
 
 Package: python3-fire
 Architecture: all

=== debian/watch ===
version=4
https://github.com/google/python-fire/tags \
/google/python-fire/archive/refs/tags/v(.*)\.tar\.gz
